Xapian: API Documentation: xapian-core: Xapian::ValueIterator Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::ValueIterator Class Reference

An iterator pointing to values associated with a document. More...

List of all members.

## Public Types
typedef std::input_iterator_tag | iterator_category
| Allow use as an STL iterator.
typedef std::string | value_type
| Allow use as an STL iterator.
typedef Xapian::valueno_diff | difference_type
| Allow use as an STL iterator.
typedef std::string * | pointer
| Allow use as an STL iterator.
typedef std::string & | reference
| Allow use as an STL iterator.
## Public Member Functions
| ValueIterator ()
| Create an uninitialised iterator; this cannot be used, but is convenient syntactically.
| ValueIterator (const ValueIterator &other)
| Copying is allowed (and is cheap).
void | operator= (const ValueIterator &other)
| Assignment is allowed (and is cheap).
ValueIterator & | operator++ ()
| Advance the iterator.
ValueIterator | operator++ (int)
| Advance the iterator (postfix variant).
const std::string & | operator * () const
| Get the value for the current position.
const std::string * | operator-> () const
| Get the value for the current position.
Xapian::valueno | get_valueno () const
| Get the number of the value at the current position.
std::string | get_description () const
| Return a string describing this object.
## Friends
bool | operator== (const ValueIterator &a, const ValueIterator &b)
| Equality test for ValueIterator objects.
bool | operator!= (const ValueIterator &a, const ValueIterator &b)
| Inequality test for ValueIterator objects.

## Detailed Description

An iterator pointing to values associated with a document.

## Member Typedef Documentation

typedef std::input_iterator_tag Xapian::ValueIterator::iterator_category

Allow use as an STL iterator.

typedef std::string Xapian::ValueIterator::value_type

Allow use as an STL iterator.

typedef Xapian::valueno_diff Xapian::ValueIterator::difference_type

Allow use as an STL iterator.

typedef std::string* Xapian::ValueIterator::pointer

Allow use as an STL iterator.

typedef std::string& Xapian::ValueIterator::reference

Allow use as an STL iterator.

## Constructor & Destructor Documentation

Xapian::ValueIterator::ValueIterator | ( |  | ) | `[inline]`

Create an uninitialised iterator; this cannot be used, but is convenient syntactically.

Xapian::ValueIterator::ValueIterator | ( | const ValueIterator & | other | ) | `[inline]`

Copying is allowed (and is cheap).

## Member Function Documentation

void Xapian::ValueIterator::operator= | ( | const ValueIterator & | other | ) | `[inline]`

Assignment is allowed (and is cheap).

ValueIterator& Xapian::ValueIterator::operator++ | ( |  | ) | `[inline]`

Advance the iterator.

ValueIterator Xapian::ValueIterator::operator++ | ( | int |  | ) | `[inline]`

Advance the iterator (postfix variant).

const std::string& Xapian::ValueIterator::operator * | ( |  | ) | const

Get the value for the current position.

const std::string* Xapian::ValueIterator::operator-> | ( |  | ) | const

Get the value for the current position.

Xapian::valueno Xapian::ValueIterator::get_valueno | ( |  | ) | const

Get the number of the value at the current position.

std::string Xapian::ValueIterator::get_description | ( |  | ) | const

Return a string describing this object.

## Friends And Related Function Documentation

bool operator== | ( | const ValueIterator & | a,
|  | const ValueIterator & | b |
| ) |  |  | `[friend]`

Equality test for ValueIterator objects.

bool operator!= | ( | const ValueIterator & | a,
|  | const ValueIterator & | b |
| ) |  |  | `[friend]`

Inequality test for ValueIterator objects.

The documentation for this class was generated from the following file:

- xapian/valueiterator.h